Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.workflow
Class WorkflowActionContext

    java.lang.Object
      com.bea.content.virtual.workflow.WorkflowActionContext

    public class WorkflowActionContext

extends Object

Represents the Context for a WorkflowAction.

Field Summary
`protected RepositoryManager` | `repositoryManager` Deprecated Use `ContentManagerFactory` to get access to the federated API.
`protected VersionableContent` | `versionableContent`
`protected VirtualNode` | `virtualNode`
`protected Workflow` | `workflow`

Constructor Summary
`WorkflowActionContext(ContentContext context)`

Method Summary
`void` | `addProperty(String property, Object value)` Allow users to add a custom property to the workflow context.
`ContentContext` | `getContentContext()` Return the context associated with the workflow
`Object` | `getProperty(String property)` Gets the property form the user properties.
`RepositoryManager` | `getRepositoryManager()` Deprecated Use `ContentManagerFactory` to get access to the federated API. This will return a NULL value if the deprecated content jar is not included in the application calling the API.
`VersionableContent` | `getVersionableContent()`
`VirtualNode` | `getVirtualNode()`
`Workflow` | `getWorkflow()`
`void` | `removeProperty(String property)` Removes the property from the user properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### virtualNode

    protected VirtualNode virtualNode

### versionableContent

    protected VersionableContent versionableContent

### repositoryManager

    @Deprecated
    protected RepositoryManager repositoryManager

  Deprecated Use `ContentManagerFactory` to get access to the federated API.

### workflow

    protected Workflow workflow

Constructor Detail

### WorkflowActionContext

    public WorkflowActionContext(ContentContext context)

Method Detail

### getVirtualNode

    public VirtualNode getVirtualNode()

### getVersionableContent

    public VersionableContent getVersionableContent()

### getRepositoryManager

    @Deprecated
    public RepositoryManager getRepositoryManager()

  Deprecated Use `ContentManagerFactory` to get access to the federated API. This will return a NULL value if the deprecated content jar is not included in the application calling the API.

### getWorkflow

    public Workflow getWorkflow()

  Returns
    Returns the workflow associated with the action context.

### getContentContext

    public ContentContext getContentContext()

  Return the context associated with the workflow

### addProperty

    public void addProperty(String property,
                            Object value)

  Allow users to add a custom property to the workflow context.

  Parameters
    `property` - The property name
    `value` - The value of the property. If value is not serializable, the method will throw an IllegalArgumentException

### removeProperty

    public void removeProperty(String property)

  Removes the property from the user properties.

### getProperty

    public Object getProperty(String property)

  Gets the property form the user properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.